%global pkgconfdir      %{_sysconfdir}/dpkg
%global pkgdatadir      %{_datadir}/dpkg

Name:           dpkg
Version:        1.21.9
Release:        %mkrel 1
Summary:        Package maintenance system for Debian Linux
# The entire source code is GPLv2+ with exception of the following
# lib/dpkg/md5.c, lib/dpkg/md5.h - Public domain
# lib/dpkg/showpkg.c, dselect/methods/multicd, lib/dpkg/utils.c, lib/dpkg/showpkg.c - GPLv2
# dselect/methods/ftp - GPL no version info
# scripts/Dpkg/Gettext.pm - BSD
# lib/compat/obstack.h, lib/compat/gettext.h,lib/compat/obstack.c - LGPLv2+
License:        GPLv2 and GPLv2+ and LGPLv2+ and Public Domain and BSD
URL:            https://tracker.debian.org/pkg/dpkg
Source0:        https://ftp.debian.org/debian/pool/main/d/dpkg/%{name}_%{version}.tar.xz
Group:          System/Packaging
# Please do not remove this script as it is useful to make signed debian pckages on Mageia
# without having to import the full devscripts debian package which is outside from it useless
Source1:        debsign.sh
Source3:        debsign.1.xz

BuildRequires:  zlib-devel bzip2-devel libselinux-devel gettext ncurses-devel
BuildRequires:  autoconf automake gettext-devel libtool
BuildRequires:  doxygen flex xz-devel
BuildRequires:  po4a >= 0.43
BuildRequires:  dotconf-devel
BuildRequires:  perl-devel
BuildRequires:  perl-Time-Piece
BuildRequires:  perl(Digest)
# for /usr/bin/pod2man
BuildRequires:  perl-podlators
# Needed for --clamp-mtime in dpkg-source -b.
Requires:       tar >= 1.28
# Need by make check
BuildRequires:  perl(Test::More)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(IO::String)
BuildRequires:  fakeroot

Requires(post): coreutils


%description
This package provides the low-level infrastructure for handling the
installation and removal of Debian software packages.

This package contains the tools (including dpkg-source) required
to unpack, build and upload Debian source packages.

This package also contains the programs dpkg which used to handle the
installation and removal of packages on a Debian system.

This package also contains dselect, an interface for managing the
installation and removal of packages on the system.

dpkg and dselect will certainly be non-functional on a rpm-based system
because packages dependencies will likely be unmet.


%package devel
Summary: Debian package management static library
Provides: dpkg-static = %{version}-%{release}

%description devel
This package provides the header files and static library necessary to
develop software using dpkg, the same library used internally by dpkg.

Note though, that the API is to be considered volatile, and might change
at any time, use at your own risk.


%package dev
Summary:  Debian package development tools
Requires: dpkg-perl = %{version}-%{release}
Requires: patch
Requires: make
Requires: binutils
Requires: bzip2
Requires: lzma
Requires: xz
Requires: perl(MIME::Lite)
Obsoletes: dpkg-devel < 1.16

%description dev
This package provides the development tools (including dpkg-source)
required to unpack, build and upload Debian source packages.
 .
Most Debian source packages will require additional tools to build;
for example, most packages need make and the C compiler gcc.

%package -n perl-Dpkg
Summary: Dpkg perl modules
Requires: dpkg = %{version}-%{release}
Requires: perl-TimeDate
Requires: perl-Time-Piece
Requires: perl(Digest::MD5)
Requires: perl(Digest::SHA)
Requires: perl(Digest::SHA1)
BuildArch: noarch
Provides:  dpkg-perl = %{version}-%{release}
Obsoletes: dpkg-perl <= 1.19.7-4.mga8

# ease upgrade mga7->mga8
Conflicts: dpkg < 1.19.7-1

%description -n perl-Dpkg
This package provides the perl modules used by the scripts
in dpkg-dev. They cover a wide range of functionality. Among them
there are the following public modules:
.
 - Dpkg: core variables
 - Dpkg::Arch: architecture handling functions
 - Dpkg::Build::Info: build information functions
 - Dpkg::BuildFlags: set, modify and query compilation build flags
 - Dpkg::BuildOptions: parse and manipulate DEB_BUILD_OPTIONS
 - Dpkg::BuildProfile: parse and manipulate build profiles
 - Dpkg::Changelog: parse changelogs
 - Dpkg::Changelog::Entry: represents a changelog entry
 - Dpkg::Changelog::Parse: generic changelog parser for dpkg-parsechangelog
 - Dpkg::Checksums: generate and parse checksums
 - Dpkg::Compression: simple database of available compression methods
 - Dpkg::Compression::Process: wrapper around compression tools
 - Dpkg::Compression::FileHandle: transparently (de)compress files
 - Dpkg::Conf: parse dpkg configuration files
 - Dpkg::Control: parse and manipulate Debian control information
   (.dsc, .changes, Packages/Sources entries, etc.)
 - Dpkg::Control::Changelog: represent fields output by dpkg-parsechangelog
 - Dpkg::Control::Fields: manage (list of known) control fields
 - Dpkg::Control::Hash: parse and manipulate a block of RFC822-like fields
 - Dpkg::Control::Info: parse files like debian/control
 - Dpkg::Control::Tests: parse files like debian/tests/control
 - Dpkg::Deps: parse and manipulate dependencies
 - Dpkg::Exit: push, pop and run exit handlers
 - Dpkg::Gettext: wrapper around Locale::gettext
 - Dpkg::IPC: spawn sub-processes and feed/retrieve data
 - Dpkg::Index: collections of Dpkg::Control (Packages/Sources files for
   example)
 - Dpkg::Interface::Storable: base object serializer
 - Dpkg::Path: common path handling functions
 - Dpkg::Source::Package: extract Debian source packages
 - Dpkg::Substvars: substitute variables in strings
 - Dpkg::Vendor: identify current distribution vendor
 - Dpkg::Version: parse and manipulate Debian package versions
.
All the packages listed in Suggests or Recommends are used by some of the
modules.

%package -n dselect
Summary:  Debian package management front-end
Requires: %{name} = %{version}-%{release}


%description -n dselect
dselect is a high-level interface for managing the installation and
removal of Debian software packages.
Many users find dselect intimidating and new users may prefer to use apt-based
user interfaces.

%prep
%setup -q

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Dselect::Ftp)/d' -e '/perl(extra)/d' -e '/perl(file)/d' -e '/perl(dpkg-gettext.pl)/d' -e '/perl(controllib.pl)/d' -e '/perl(in)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
autoreconf
export TAR=%{__tar}
%configure --disable-linker-optimisations \
	--with-admindir=%{_localstatedir}/lib/dpkg \
        --with-libselinux \
        --without-libmd \
        --with-libz \
        --with-liblzma \
        --with-libbz2

# todo add this
#--with-devlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
%make_build


%install
%make_install

# Please do not remove debsign delivery
install -m 755 %{SOURCE1} %{buildroot}/%{_bindir}/debsign
install -m 644 %{SOURCE3} %{buildroot}/%{_mandir}/man1

mkdir -p %{buildroot}/%{pkgconfdir}/origins

# Prepare "vendor" files for dpkg-vendor
cat <<EOF > %{buildroot}/%{pkgconfdir}/origins/mageia
Vendor: Mageia.org
Vendor-URL: https://www.mageia.org/
Bugs: https://bugs.mageia.org
EOF
ln -sf mageia %{buildroot}/%{pkgconfdir}/origins/default

# from debian/dpkg.install
install -pm0644 debian/dpkg.cfg %{buildroot}/%{pkgconfdir}
install -pm0644 debian/dselect.cfg %{buildroot}/%{pkgconfdir}
install -pm0644 debian/shlibs.default %{buildroot}/%{pkgconfdir}
install -pm0644 debian/shlibs.override %{buildroot}/%{pkgconfdir}

# patched debian/dpkg.logrotate
mkdir -p %{buildroot}/%{_sysconfdir}/logrotate.d
install -pm0644 debian/dpkg.logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

%find_lang dpkg
%find_lang dpkg-dev
%find_lang dselect

rm %{buildroot}%{_libdir}/libdpkg.la

# Mageia has its own implementation
rm %{buildroot}%{_bindir}/update-alternatives
rm %{buildroot}%{_mandir}/man1/update-alternatives.1
rm -r %{buildroot}%{_mandir}/*/man1/update-alternatives.1
rm -r %{buildroot}%{_sysconfdir}/alternatives/

#Mageia has own implemenation
#FIXME should we remove this ?
rm -rf %{buildroot}%{_sbindir}/install-info

#mkdir -p %{buildroot}%{_localstatedir}/lib/dpkg/alternatives %{buildroot}%{_localstatedir}/lib/dpkg/info \
# %{buildroot}%{_localstatedir}/lib/dpkg/parts %{buildroot}%{_localstatedir}/lib/dpkg/updates \
# %{buildroot}%{_localstatedir}/lib/dpkg/methods

# https://www.spinics.net/linux/fedora/epel-devel/msg02029.html
# avoid conflicts files with man-pages
rm -rf %{buildroot}%{_mandir}/it/man1/
rm -rf %{buildroot}%{_mandir}/it/man5/
rm -rf %{buildroot}%{_mandir}/pl/man1/

# remove useless (?) aclocal files
rm -rf %{buildroot}%{_datadir}/aclocal
# remove useless doc files
rm -rf %{buildroot}%{_datadir}/doc/dpkg

%check
make VERBOSE=1 TESTSUITEFLAGS=--verbose \
    TEST_PARALLEL=4 check || :


%post
# from dpkg.postinst
# Create the database files if they don't already exist
create_database() {
    admindir=${DPKG_ADMINDIR:-/var/lib/dpkg}

    for file in diversions statoverride status; do
    if [ ! -f "$admindir/$file" ]; then
        touch "$admindir/$file"
    fi
    done
}

# Create log file and set default permissions if possible
create_logfile() {
    logfile=/var/log/dpkg.log
    touch $logfile
    chmod 644 $logfile
    chown root:root $logfile 2>/dev/null || chown 0:0 $logfile
}
create_database
create_logfile


%files -f dpkg.lang
%doc debian/changelog README AUTHORS THANKS TODO
%doc debian/dpkg.cron.daily
%license debian/copyright
%dir %{pkgconfdir}
%dir %{pkgconfdir}/dpkg.cfg.d
%dir %{pkgconfdir}/origins
%config(noreplace) %{pkgconfdir}/dpkg.cfg
%config(noreplace) %{pkgconfdir}/origins/*
%config(noreplace) %{_sysconfdir}/logrotate.d/dpkg
%{_bindir}/dpkg
%{_bindir}/debsign
%{_bindir}/dpkg-*
%{_sbindir}/start-stop-daemon
%{_sbindir}/dpkg-fsys-usrunmess
%{_libexecdir}/dpkg/dpkg-*
%dir %{pkgdatadir}
%{pkgdatadir}/abitable
%{pkgdatadir}/cputable
%{pkgdatadir}/ostable
%{pkgdatadir}/tupletable
%dir %{_localstatedir}/lib/dpkg
%dir %{_localstatedir}/lib/dpkg/alternatives
%dir %{_localstatedir}/lib/dpkg/info
%dir %{_localstatedir}/lib/dpkg/parts
%dir %{_localstatedir}/lib/dpkg/updates
%{_mandir}/man1/*.1.*
%{_mandir}/man5/*.5.*
%{_mandir}/man8/*.8.*
%{_mandir}/man7/*.7.*
%{_mandir}/*/man1/*.1.*
%{_mandir}/*/man5/*.5.*
%{_mandir}/*/man8/*.8.*
%{_mandir}/*/man7/*.7.*
%{_datadir}/polkit-1/actions/org.dpkg.pkexec.update-alternatives.policy
%{_datadir}/dpkg/sh/dpkg-error.sh
%{_datadir}/zsh/vendor-completions/_dpkg-*

%files devel
%{_libdir}/libdpkg.a
%{_libdir}/pkgconfig/libdpkg.pc
%{_includedir}/dpkg/*.h

%files dev -f dpkg-dev.lang
%doc AUTHORS THANKS doc/README.api
%config(noreplace) %{pkgconfdir}/shlibs.default
%config(noreplace) %{pkgconfdir}/shlibs.override

%{_bindir}/dpkg-*
%{pkgdatadir}/*.mk
%{_mandir}/man1/dpkg-*.1.*
%{_mandir}/man5/deb*.5.*
%{_mandir}/man5/dsc.5.*
%{_mandir}/*/man1/dpkg-*.1.*
%{_mandir}/*/man5/deb*.5.*
%{_mandir}/*/man5/dsc.5.*


%files -n perl-Dpkg
%{perl_vendorlib}/Dpkg*
%{_mandir}/man3/Dpkg*.3*
%{_datadir}/dpkg/*.specs

%files -n dselect -f dselect.lang
#doc dselect/methods/multicd/README.multicd
%config(noreplace) %{pkgconfdir}/dselect.cfg
%{_bindir}/dselect
%{perl_vendorlib}/Dselect
%{_localstatedir}/lib/dpkg/methods
%{_libexecdir}/dpkg/methods
%{_mandir}/man1/dselect.1.*
%{_mandir}/*/man1/dselect.1.*
%{_mandir}/man5/dselect.cfg.5.*
%{_mandir}/*/man5/dselect.cfg.5.*
%dir %{pkgconfdir}/dselect.cfg.d


%changelog
* Mon Aug 22 2022 bcornec <bcornec> 1.21.9-1.mga9
+ Revision: 1879488
- Update dpkg to upstream 1.21.9

* Fri May 27 2022 bcornec <bcornec> 1.21.8-1.mga9
+ Revision: 1860442
- Update to dpkg upstream 1.21.8 and fixes 30481

* Wed Mar 30 2022 umeabot <umeabot> 1.20.9-2.mga9
+ Revision: 1834226
- Mageia 9 Mass Rebuild

* Mon Oct 25 2021 bcornec <bcornec> 1.20.9-1.mga9
+ Revision: 1752877
- Update to upstream dpkg 1.20.9

* Mon Jan 11 2021 daviddavid <daviddavid> 1.20.5-4.mga8
+ Revision: 1671091
- add conflicts to ease upgrade mga7->mga8

* Fri Oct 23 2020 akien <akien> 1.20.5-3.mga8
+ Revision: 1638854
- Rebuild against fixed ncurses (6.2-20200831 caused FTBFS)

* Tue Aug 25 2020 bcornec <bcornec> 1.20.5-2.mga8
+ Revision: 1618977
- Improve Obsolete test

* Mon Aug 24 2020 bcornec <bcornec> 1.20.5-1.mga8
+ Revision: 1618468
- debsign files taken from debian devscripts pkg
- Update to upstream dpkg 1.20.5 + re-introduce debsign as an additional script

* Tue Jun 23 2020 tv <tv> 1.19.7-4.mga8
+ Revision: 1598551
- rename back dpkg-perl -> perl-Dpkg

* Mon Jun 22 2020 tv <tv> 1.19.7-3.mga8
+ Revision: 1598523
- fix perl upgrade after bogus "sync with fedora"

* Fri May 22 2020 neoclust <neoclust> 1.19.7-2.mga8
+ Revision: 1586785
- Fix requires

* Fri May 22 2020 neoclust <neoclust> 1.19.7-1.mga8
+ Revision: 1586778
- New version 1.19.7

* Sat Feb 15 2020 umeabot <umeabot> 1.19.6-3.mga8
+ Revision: 1526824
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri May 31 2019 alexl <alexl> 1.19.6-2.mga8
+ Revision: 1399398
- fix deb package building by Gambas

* Mon Apr 01 2019 bcornec <bcornec> 1.19.6-1.mga7
+ Revision: 1383926
- update to upstream dpkg 1.19.6

* Tue Feb 05 2019 bcornec <bcornec> 1.19.4-1.mga7
+ Revision: 1363270
- update dpkg to upstream 1.19.4

* Thu Oct 11 2018 bcornec <bcornec> 1.19.2-1.mga7
+ Revision: 1319550
- Update dpkg to upstream 1.19.2

* Thu Oct 11 2018 bcornec <bcornec> 1.19.1-1.mga7
+ Revision: 1319469
- Update to upstream dpkg 1.19.1

* Sun Sep 23 2018 umeabot <umeabot> 1.18.25-2.mga7
+ Revision: 1297496
- Mageia 7 Mass Rebuild

* Sat Aug 11 2018 bcornec <bcornec> 1.18.25-1.mga7
+ Revision: 1250985
- Update to upstream dpkg 1.18.25

* Thu May 11 2017 bcornec <bcornec> 1.18.23-1.mga6
+ Revision: 1100157
- Update to upstream 1.18.23 dpkg

* Mon Jan 02 2017 bcornec <bcornec> 1.18.18-1.mga6
+ Revision: 1079758
- update to upstream dpkg 1.18.18

* Thu Aug 25 2016 bcornec <bcornec> 1.18.10-1.mga6
+ Revision: 1048947
- Update to upstream dpkg 1.18.10

* Tue May 10 2016 shlomif <shlomif> 1.18.7-1.mga6
+ Revision: 1012162
- New version 1.18.7 - thanks to Luigi

* Sun Jan 03 2016 bcornec <bcornec> 1.18.4-1.mga6
+ Revision: 919142
- Update to upstream dpkg 1.18.4

* Thu Dec 17 2015 bcornec <bcornec> 1.17.26-1.mga6
+ Revision: 911194
- Update to upstream 1.17.26 to fix CVE-2015-0860

* Wed May 06 2015 bcornec <bcornec> 1.17.25-2.mga5
+ Revision: 821286
- Push release to 2 to allow for worngly made mga4 package to be handled correctly
- Fix #15672 for cauldron (CVE-2015-0840)

* Sat Nov 29 2014 bcornec <bcornec> 1.17.21-1.mga5
+ Revision: 799815
- Update to upstream 1.17.21

* Wed Oct 15 2014 bcornec <bcornec> 1.17.18-4.mga5
+ Revision: 742325
- Update to upstream dpkg 1.17.18
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tv <tv> 1.17.13-3.mga5
+ Revision: 721984
- add more excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.17.13-2.mga5
+ Revision: 678826
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Sep 06 2014 bcornec <bcornec> 1.17.13-1.mga5
+ Revision: 672490
- update to upstream dpkg 1.17.13

* Sun Jul 06 2014 bcornec <bcornec> 1.17.10-2.mga5
+ Revision: 644100
- Bump release to avoid issues with the security version made using subrel

* Fri Jul 04 2014 bcornec <bcornec> 1.17.10-1.mga5
+ Revision: 643389
- Update to upstream 1.17.10 (which also fixes bug #13279

* Tue Apr 29 2014 bcornec <bcornec> 1.17.8-1.mga5
+ Revision: 618797
- Update dpkg to upstream 1.17.8

* Wed Jan 22 2014 bcornec <bcornec> 1.17.6-2.mga5
+ Revision: 567447
- Update to upstream dpkg 1.17.6

* Mon Oct 21 2013 umeabot <umeabot> 1.17.1-2.mga4
+ Revision: 539872
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 bcornec <bcornec> 1.17.1-1.mga4
+ Revision: 493045
- Update dpkg to upstream 1.17.1

* Wed Sep 04 2013 luigiwalser <luigiwalser> 1.16.8-8.mga4
+ Revision: 474927
- rpm no longer allows listing a symlink to a directory as a dir in files
- rpm no longer allows using attr on a symlink in files

* Wed May 29 2013 tv <tv> 1.16.8-7.mga4
+ Revision: 430130
- rebuild for new perl

* Sun Apr 07 2013 luigiwalser <luigiwalser> 1.16.8-6.mga3
+ Revision: 408803
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 1.16.8-5.mga3
+ Revision: 403602
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Tue Jan 22 2013 fwang <fwang> 1.16.8-4.mga3
+ Revision: 390769
- update file list
- update file list
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.16.8-3.mga3
+ Revision: 349080
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 shlomif <shlomif> 1.16.8-2.mga3
+ Revision: 283839
- Made perl-Dpkg arch-dependent
+ fedya <fedya>
- %%find_lang dselect not needed

* Thu Aug 16 2012 fedya <fedya> 1.16.8-1.mga3
+ Revision: 281494
- option --without-dselect renamed to --disalbe-dselect
- gentoo-bug-289094.patch removed cause no longer needed and version update to 1.16.8

* Sun Jul 22 2012 blino <blino> 1.16.0.1-3.mga3
+ Revision: 273448
- drop /usr/sbin/install-info for /usr move, it was only a warning-wrapper anyway

* Sat May 21 2011 cjw <cjw> 1.16.0.1-2.mga1
+ Revision: 100055
- drop patch4, fixed upstream
+ ahmad <ahmad>
- Replace a reference to Mandriva with Mageia
+ tv <tv>
- new release

* Thu Mar 24 2011 boklm <boklm> 1.15.8.4-2.mga1
+ Revision: 76136
- rebuild for bug #497

* Sun Mar 06 2011 ennael <ennael> 1.15.8.4-1.mga1
+ Revision: 65271
- clean spec file
- imported package dpkg


* Mon Aug 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.15.8.4-1mdv2011.0
+ Revision: 572150
- drop p0, uneeded now.
- drop p1 && p2, merged upstream.
- add p4 for fix string format
- update file list

* Fri Aug 06 2010 Bruno Cornec <bcornec@mandriva.org> 1.15.5.6-2mdv2011.0
+ Revision: 566523
- Adding the patch file for http://bugs.gentoo.org/show_bug.cgi?id=289094
- Add a patch to fix the bug reported in http://bugs.gentoo.org/show_bug.cgi?id=289094 which is also valid on Mandriva

* Sun Apr 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.15.5.6-1mdv2010.1
+ Revision: 536359
- 1.15.5.6
- sync patches with fedora
- added the perl sub package

  + Thierry Vignaud <tv@mandriva.org>
    - patch 0: fix format string
    - new release

* Thu Jul 30 2009 Thierry Vignaud <tv@mandriva.org> 1.13.26-1mdv2010.0
+ Revision: 404636
- new release (basic lzma support (needed for alien))
- BR po4a

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.13.11-4mdv2009.0
+ Revision: 244523
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.13.11-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Jérôme Soyer <saispo@mandriva.org>
    - import dpkg


* Fri Jul 21 2006 Michael Scherer <misc@mandriva.org> 1.13.11-2mdv2007.0
- new extension

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.13.11-1mdk
- 1.13.11

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.10.28-1mdk
- 1.10.28

* Thu May 20 2004 Michael Scherer <misc@mandrake.org> 1.10.21-1mdk
- rpmbuildupdate aware
- New release 1.10.21

* Mon Apr 05 2004 Michael Scherer <misc@mandrake.org> 1.10.18-3mdk 
- remove invalid word

* Sat Mar 06 2004 Michael Scherer <misc@mandrake.org> 1.10.18-2mdk 
- fix unpackaged files

* Thu Dec 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.10.18-1mdk
- new release

* Mon Aug 25 2003 Michael Scherer <scherer.michael@free.fr> 1.10.10-5mdk 
- update description
- BuildRequires zlib-devel
- macros

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-4mdk
- fix DIRM error 

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-3mdk
- don't require perl(file)

* Mon Jul 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-2mdk
- fix requires

* Sun Jul 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-1mdk
- 1.10.10 

* Thu Dec 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.9-1mdk
- 1.10.9
- remove patch1,2,3
- rediff patch0
- new patch2
- fix unpackaged files

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-3mdk
- remove useless en translation
- add Url

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-2mdk
- remove conflict

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-1mdk
- initial package

